#include <iostream>
using namespace std;

typedef unsigned long long int ull;

// Note: Uzeti u obzir velike brojeve koji mogu da dodju kao test case

ull gaus(int n) {
	if (n % 2 == 0)
		return ((ull)n / 2) * ((ull)n + 1);
	return (ull)n * (((ull)n + 1) / 2);
}

int main() {

	int t, n, k;
	ull m;

	cin >> t;
	while (t--) {
		cin >> n >> m >> k;

		int broj_ucenika_regularne_grupe = n / k;
		int broj_iregularnih_grupa = n % k;
		int broj_ucenika_iregularne_grupe = broj_ucenika_regularne_grupe + 1;
		int broj_regularnih_grupa = k - broj_iregularnih_grupa;

		ull minimalan_broj_bananica = broj_iregularnih_grupa * gaus(broj_ucenika_iregularne_grupe) +
			broj_regularnih_grupa * gaus(broj_ucenika_regularne_grupe);

		if (minimalan_broj_bananica < m) {
			cout << "Tak" << "\n";
		}
		else {
			cout << "Nie" << "\n";
		}
	}

	return 0;
}